<?php

declare(strict_types=1);

interface OrderProblemInterface
{
    public function getErrorMessage(): string;

    /**
     * @return string[]
     */
    public function getErrors(): array;

    public function isProblematic(): bool;

    public function isRepairable(): bool;

    public function repair(): bool;
}
